Draft Equidistancia
Outdated translations are marked like this.
|
Ubicación en el Menú |
---|
Croquis → Equidistancia |
Entornos de trabajo |
Croquis, Arquitectura |
Atajo de teclado por defecto |
O S |
Introducido en versión |
- |
Ver también |
Part 2D Offset |
Descripción
La herramienta Equidistancia crea una equidistacia de los objetos seleccionados a una distancia dada sobre el plano de trabajo actual. Si no se han seleccionado objetos, te invitará a seleccionar uno. Simplemente te pregunta por un punto, dando la distancia de la equidistancia de los objetos seleccionados.
Offsetting a Draft Wire
Utilización
See also: Draft Snap and Draft Constrain.
- Selecciona los objetos a los que quieras crear una equidistancia
- Presiona el botón
Equidistancia, o presiona las teclas O y S
- Designa un punto en la vista 3D, o escribe una distancia
Opciones
The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts (for version 1.0).
- Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta equidistancia se reiniciará al terminar permitiendo hacer otra equidistancia o copiar objetos de nuevo sin necesidad de volver a presionar el botón de equidistancia.
- Presionando ALT o C o seleccionando el botón Copiar se creará una copia de los objetos, en lugar de moverlos. Si mantienes presionada la tecla ALT después de seleccionar el segundo punto, podrás hacer más copias, hasta que liberes la tecla ALT.
- Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de la distancia.
- Presionando SHIFT se restringirá al segmento actual en lugar de seleccionar el más cercano.
- Presiona ESC o el botón Cancelar para abortar el comando actual.
Notes
- To create an offset version of a Draft BSpline its points are offset individually, and from the new points a new spline is calculated. This new spline is not parallel to the original spline. For an exact parallel offset of a Draft BSpline the Part Offset2D command should be used.
- The Draft Offset command cannot handle Draft BezCurves. Use the Part Offset2D command instead.
Scripting
Programación
La herramienta Equidistancia se puede utilizar en macros y desde la consola de Python utilizando la siguiente función:
offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
- Crea una equidistancia del contorno dado aplicando el vector indicado a su primer vértice.
- Si copymode es True, se crea otro objeto, en otro caso es el mismo objeto el que se equidistancia. Si bind es True, y el contorno dado está abierto, el original y el contorno equidistante estarán enlazados por sus puntos finales, creando una cara.
- Si sym es True, la equidistancia se crea hacia ambos lados, siendo el ancho total la longitud del vector dado.
- Devuelve el objeto equidistante (o su copia si copymode es True).
Ejemplo:
import FreeCAD as App
import Draft
doc = App.newDocument()
p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)
wire = Draft.make_wire([p1, p2, p3])
doc.recompute()
vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path link array, Point array, Point link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap lock, Snap endpoint, Snap midpoint, Snap center, Snap angle, Snap intersection, Snap perpendicular, Snap extension, Snap parallel, Snap special, Snap near, Snap ortho, Snap grid, Snap working plane, Snap dimensions, Toggle grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Text: Open hyperlinks
- Wire: Flatten
- Working plane proxy: Write camera position, Write objects state

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub